


NSR_IZE(8)                                             NSR_IZE(8)


NNAAMMEE
       nsr_ize - NetWorker installation and removal

SSYYNNOOPPSSIISS
       nnssrr__iizzee [ --ii | --rr | --uu ] [ --cc | --tt | --ss ] [ --kkmmnnqqxxvv ]

DDEESSCCRRIIPPTTIIOONN
       NNssrr__iizzee is an interactive program that installs or removes
       NetWorker software and files to or  from  a  machine.   In
       either  case,  the user is prompted with a series of ques-
       tions.  Most questions also provide default  answers  that
       produce the desired results in a standard environment.

       Since  this command installs all NetWorker software in one
       directory  per  machine  architecture  (the   default   is
       //uussrr//bbiinn),  one should plan for the NetWorker client soft-
       ware to consume thirteen Mbytes of disk space per  machine
       architecture  installed.   The  NetWorker  server software
       requires an additional eight Mbytes per machine  architec-
       ture.

       The  NetWorker server also requires disk space for its on-
       line indexes of all files saved by the NetWorker  clients.
       On  the average, each instance of a file saved to the Net-
       Worker server requires 200 bytes of  disk  space.   Gener-
       ally, 2% - 5% of the total amount of data backed up has to
       be allocated to the online index.

       The script modifies many administrative  files,  including
       //eettcc//rrppcc.   If  YP  is  being used, then the administrator
       should consider modifying the YP  master's  //eettcc//rrppcc  file
       with  the  same  modifications  that  nnssrr__iizzee makes to the
       local copy.

       When invoked with no options, this command makes an intel-
       ligent  guess  as  to  whether  the  user is installing or
       removing NetWorker software, and confirms its  guess  with
       the  user.   If none of --ss , --tt or --cc flags are given when
       installing,  nnssrr__iizzee  will  prompt  and  ask  whether  the
       machine being installed is going to be a NetWorker server.

OOPPTTIIOONNSS
       --ii     Install  the  NetWorker  software  and   associated
              files.

       --rr     Remove the NetWorker software and associated files.

       --uu     Get ready for a software upgrade.  NetWorker  soft-
              ware  is  removed,  but  associated  files are pre-
              served.

       --cc     Do NetWorker client side only operations.

       --tt     Do NetWorker Storage Node side only operatioins.



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





NSR_IZE(8)                                             NSR_IZE(8)


       --ss     Do NetWorker server side operations.

       --kk     Kill daemons if running, without confirming.

       --mm     Do not remove or install man pages.

       --nn     Do not perform any actions that actually change the
              filesystem,  just  print  what  would be done if an
              installation or removal took place.

       --qq     Quiet.  Do not print as many reassuring messages as
              in the normal case.

       --xx     Set debugging flag.

       --vv     Set verbose mode.

FFIILLEESS
       //nnssrr   This  symbolic  link  is  created  by  nnssrr__iizzee when
              installing the NetWorker server; it points  to  the
              directory  where the NetWorker server keeps the on-
              line indexes of  clients'  saved  files.   Alterna-
              tively,  //nnssrr may be a directory that exists before
              invoking this command.
SSEEEE AALLSSOO
       nnssrr(8).
       Legato NetWorker Installation and Maintenance Guide UNIX
       Version





























NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2


